Minsk, Belarus -NL- Tel: **`+375257025880`[PHONES_PHONE]** -NL- **`Pavel Tarasevich`[NAME]** Skype: paul.tarasevich -NL- Senior iOS Engineer Email: **`work.paultas@gmail.com`[EMAILS_EMAIL]** -NL- Hangouts: **`work.paultas@gmail.com`[EMAILS_EMAIL]** -NL- **`CAREER HIGHLIGHTS`[WORK_EXPERIENCE_HEADING]** -NL- } Over 8 years of experience in iOS development -NL- } Over 12 years of experience in programming engineering -NL- } About 5 years of experience in watchOS development -NL- } Deep knowledge of AKRit, SwiftUI, Combine, AFNetworking, CoreLocation, -NL- CloudKit, MapKit, AddressBook, AVFoundation, CoreAnimation, -NL- CoreGraphics, MediaPlayer, StoreKit, Foundation, UIKit, Google Maps, iAd, -NL- CoreData, Structure SDK -NL- } About 5 years of experience in C++ development -NL- } Actively improving knowledge in technologies and career growing -NL- } Excellent interpersonal skills and the ability to communicate with colleagues -NL- **`TECHNICAL EXPERTISE`[SKILLS_HEADING]** -NL- } Programming Languages: Swift, Objective-C, С++, ASP.NET, C#, Ruby, Java, Pascal, Assembler -NL- } Frameworks and Libraries: iOS SDK (ARKit, CoreLocation, CloudKit, MapKit, AddressBook, -NL- AVFoundation, CoreAnimation, CoreGraphics, MediaPlayer, StoreKit, Foundation, UIKit, iAd, CoreData, -NL- SceneKit, etc), AFNetworking, Fabric, Crashlytics, Google Maps API, Flurry, Structure SDK -NL- } Development Environments (IDE)/Tools: Git, Jira, SVN -NL- } Operation Systems/Platforms: Mac OS, Linux, iOS, Android -NL- } Architectures: VIPER, MVC, MVP, MVVM -NL- } Other Skills: Test-driven Development, Scrum, Software design patterns, JIRA, TestFlight, AppStore -NL- submission, Adobe Photoshop, Cloud services (Parse Data, Backendless, iCloud), UI according to the -NL- Apple Human Interface Guidelines, Push and Local Notification, Barcode/QRCode recognition and -NL- generation -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`NDA`[EMPLOYER_COMPANY_NAME]** - Minsk, Belarus -NL- Oct 17 – Now -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- Representative Development Projects: -NL- } Gem4me -NL- Gem4me is the messenger with VoIP calls. -NL- Responsibilities: -NL- Continued -NL- **`Pavel Tarasevich`[NAME]** | PAGE 2 -NL- Continued -NL- • iOS team lead -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Swift; Objective-C; iOS SDK; CallKit; Call Directory Extension; Swagger; -NL- Share Extension; MaterialComponents; Alamofire; Branch; Firebase; ReactiveSwift; CoreAnimation; -NL- CoreGraphic; Foundation; UIKit; MVVM; RestKit; JSON; Test-driven Development; Scrum; Git; JIRA; -NL- TestFlight; AppStore submission; -NL- URL: https://apps.apple.com/by/app/gem4me/id1032387040 -NL- } ChatEG 2019 -NL- ChatEG is a possibility to use platform for instant messaging to perform numerous tasks in one place. -NL- Any user of ChatEG can create his or her own workspace and invite an unlimited number of users to it, -NL- change roles these users and delete them from the workspace. Invited users inside the workspace can -NL- create their own groups and private chats, share photos, videos, voice messages and add bots to chats -NL- as interlocutors. -NL- Responsibilities: -NL- • iOS team lead -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Swift; Objective-C; iOS SDK; Xcode; Swagger; Share Extension; -NL- MaterialComponents; Alamofire; Branch; Firebase; ReactiveSwift; CoreAnimation; CoreGraphic; -NL- Foundation; UIKit; MVVM; RestKit; JSON; Test-driven Development; Scrum; Git; JIRA; TestFlight; -NL- AppStore submission; -NL- URL: https://apps.apple.com/by/app/chateg-2019/id1447631044 -NL- } Aircam -NL- Aircam is the easiest way to instantly share photos with those around you. If you want people to stay in -NL- the moment instead of trying to capture it, try Aircam. It’s game changing. From professional cameras to -NL- phones, everyone nearby can immediately save and share those photos - even without downloading the -NL- app. It can extract photos from friends’ phones, so it works like a reversed Airdrop. -NL- Responsibilities: -NL- • iOS team lead -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Swift; Objective-C; iOS SDK; Xcode; CoreBluetooth; OpenGL ES; -NL- CoreAnimation; CoreGraphic; Foundation; UIKit; VIPER; MVC; RestKit; JSON; Test-driven -NL- Development; Scrum; Git; JIRA; TestFlight; AppStore submission; -NL- URL: https://apps.apple.com/us/app/aircam/id1313525115?ls=1 , https://air.cam -NL- **`Teqniksoft`[EMPLOYER_COMPANY_NAME]** Company - Minsk, Belarus -NL- Apr 17 – Oct 17 -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- Representative Development Projects: -NL- **`Pavel Tarasevich`[NAME]** | PAGE 3 -NL- Continued -NL- } Object Scanner 3D -NL- The project provides an opportunity to scan objects and see the scanned model in the application. You -NL- can attach these objects to cases in the application and upload them to a server, later user can print -NL- these objects with their 3D printers. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Swift; Objective-C; Unity 3D integration; iOS SDK; Xcode; OpenGL ES; -NL- SceneKit; CoreAnimation; CoreGraphic; Foundation; UIKit; VIPER; MVC; RestKit; JSON; Test-driven -NL- Development; Scrum; Git; JIRA; TestFlight; AppStore submission; -NL- } ARKit application to position furniture and measuring distance -NL- The application scans room, draws a grid on the flow and other surfaces and allows user to position -NL- furniture. And if user wants, he can measure distances between 2 points in the room. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- Technologies and Tools: Swift; iOS SDK; Xcode; SceneKit; ARKit; Foundation; UIKit; MVC; Test-driven -NL- Development; Scrum; Git; JIRA; TestFlight; -NL- **`iAM Factory LP`[EMPLOYER_COMPANY_NAME]** - Minsk, Belarus -NL- Oct 14 - Mar 17 -NL- **`Senior Software Engineer `[EMPLOYER_ROLE]**-NL- Representative Development Projects: -NL- } Bilderlings Pay -NL- Application for merchants, they can see their operations, statistic, diagrams, they can receive reports -NL- according to the operations. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: SWIFT; iOS SDK; Xcode; CoreAnimation; CoreGraphic; Foundation; UIKit; -NL- MVC; RestKit; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- Push notifications; -NL- URL: https://itunes.apple.com/lv/app/bilderlings-pay/id1081768569?mt=8 -NL- } iAM.Wallet -NL- Application for e-money. You can send money to other users, pay for phone and ets, top up account -NL- with a credit card or with a bank account, withdraw money to your bank account. You can see -NL- operations. -NL- Responsibilities: -NL- **`Pavel Tarasevich`[NAME]** | PAGE 4 -NL- Continued -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- • Set up Scrum meetings -NL- • Solve issues of a team -NL- • Assign tasks from Sprint backlog -NL- Technologies and Tools: SWIFT; Objective-C; iOS SDK; watch OS; Xcode; CoreAnimation; -NL- CoreGraphic; Foundation; VIPER; MVC; RestKit; JSON; Scrum; Test-driven Development; Git; JIRA; -NL- TestFlight; AppStore submission; Push notifications; -NL- } Insta.Ad -NL- It's a platform to connect advertisement agencies and bloggers of Instagram, so blogger can get payed -NL- for their posts with ads -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- • Set up Scrum meetings -NL- • Solve issues of a team -NL- • Assign tasks from Sprint backlog -NL- Technologies and Tools: SWIFT; iOS SDK; watch OS; Xcode; CoreAnimation; CoreGraphic; -NL- Foundation; UIKit; MVC; RestKit; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight -NL- ;AppStore submission; Fabrics; Push notifications; -NL- } Dating service -NL- Regular dating service where you can like users by swiping them. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: SWIFT; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- Fabrics; StoreKit; CoreLocation; backendless.com; iAd; Push notifications; -NL- } Social network -NL- Social network where you can add users to your friends, rate users, message them. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: SWIFT; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- Fabrics; StoreKit; CoreLocation; Push notifications; -NL- } Face-to-Face videochat -NL- **`Pavel Tarasevich`[NAME]** | PAGE 5 -NL- Continued -NL- Application provides opportunity to call users randomly via Video -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: SWIFT; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- Fabrics; StoreKit; CoreLocation; Tokbox; Push notifications; -NL- **`Elinext`[EMPLOYER_COMPANY_NAME]** - Minsk, Belarus -NL- Mar 12 - Oct 14 -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- Representative Development Projects: -NL- } McDonald’s Ireland -NL- McDonald’s application for Ireland. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- CoreLocation; -NL- URL: https://itunes.apple.com/us/app/mcdonalds-ireland/id503069776?l=ru&ls=1&mt=8 -NL- } Make My Switzerland -NL- Application for Swiss Tourist Company. You can view events and participate in the events. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- CoreLocation; MapKit; -NL- URL: https://itunes.apple.com/us/app/make-my-switzerland/id665137763?mt=8 -NL- } 3D City Explorer -NL- You can view different cities' photos with 3D glasses. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- **`Pavel Tarasevich`[NAME]** | PAGE 6 -NL- Continued -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- CoreLocation; MapKit; StoreKit; -NL- URL: https://itunes.apple.com/us/app/3d-city-explorer/id645460176?l=ru&ls=1&mt=8 -NL- } Daily Resolutions -NL- You get a new saying every day. You get notified via local notifications. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode;Foundation; UIKit; MVC; AFNetworking; -NL- AppStore submission; Local notifications; -NL- URL: https://itunes.apple.com/au/app/daily-resolutions/id833424510?mt=8 -NL- } Parrot Flower Power -NL- Application for Parrot company. Application connects parrot flower detector with iOS application, so you -NL- always know when you need to pour you flower. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- CoreLocation; CoreBluetooth; -NL- URL: https://itunes.apple.com/us/app/apple-store/id712479884 -NL- } Parrot Zik -NL- Application for Parrot company. Application connects parrot headphones with iOS application, so you -NL- can set up headphones properly inside the application. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- CoreLocation; CoreBluetooth; -NL- URL: https://itunes.apple.com/us/app/parrot-zik-2.0/id922156370?mt=8 -NL- } PanicGuard -NL- If you have dangerous situation, you can use this application. In case of emergency your selected -NL- contacts will be notified and get your location with the recording of audio. Your device will see signal in -NL- case of emergency so for example robber will be scared. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- **`Pavel Tarasevich`[NAME]** | PAGE 7 -NL- Continued -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- CoreLocation; AVFundation; MediaPlayer; -NL- URL: https://itunes.apple.com/us/app/panicguard/id483140801?mt=8 -NL- } DiscountScanner -NL- Scanner of your discount cards, so you don't need to always have all your discount cards with you. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; TestFlight; AppStore submission; -NL- CoreLocation; MediaPlayer; AFNetworking; -NL- } Baby calendar -NL- Calendar with photos of your baby and with your notes, so you always know when happened all your -NL- baby events. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; TestFlight; AppStore submission; -NL- CoreLocation; AVFundation; MediaPlayer; NSCalendar; -NL- } Voxle -NL- Application with Voice over IP technology to allow voice calls with other users. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON;Test-driven Development;Scrum;SVN;TestFlight; AppStore submission; -NL- CoreLocation; Sockets; -NL- URL: http://www.voxle.com -NL- } Medtronic -NL- Application with well-designed information for hospitals. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- **`Pavel Tarasevich`[NAME]** | PAGE 8 -NL- Continued -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; SVN; JIRA; TestFlight; AppStore submission; -NL- URL: http://www.medtronic.com -NL- } iReviewer -NL- File browser for **`NDA`[EMPLOYER_COMPANY_NAME]** company. It looks for file and folder list from server and allow to download and -NL- preview files. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; SVN; Wireshark; -NL- } nPassword -NL- Keeps your password safe with AES-256 encryption. It encrypts even images, audio files. -NL- Responsibilities: -NL- • Project structure architecture and design -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; AppStore submission; -NL- CoreLocation; -NL- } Capella Shares Trade -NL- Application to approve traders, it was internal application for **`NDA`[EMPLOYER_COMPANY_NAME]** company. -NL- Responsibilities: -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; AFNetworking; -NL- } BookeenReader -NL- Application for BookeenReader company to read buy, download and read e-books. -NL- Responsibilities: -NL- • Project coding -NL- • UI implementation -NL- • API design and implementation -NL- Technologies and Tools: Objective-C; iOS SDK; Xcode; CoreAnimation; Foundation; UIKit; MVC; -NL- AFNetworking; JSON; Scrum; Test-driven Development; Git; JIRA; AFNetworking; -NL- **`LANGUAGES`[OTHERS_HEADING]** -NL- **`Pavel Tarasevich`[NAME]** | PAGE 9 -NL- Continued -NL- English – Advanced -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- } **`INTERNATIONAL SCIENTIFIC PUBLIC UNION`[EDUCATION_INSTITUTE]** "IAIT" - Minsk, Belarus, 2016 -NL- **`INFORMATION TECHNOLOGIES (Management)`[EDUCATION_COURSE]** -NL- **`Master’s Degree`[EDUCATION_DEGREE]** -NL- } **`Belarusian State University`[EDUCATION_INSTITUTE]** - Minsk, Belarus, 2007-2012 -NL- **`Faculty of Applied Mathematics and Computer Science`[EDUCATION_COURSE]**, Applied Mathematics -NL- **`Bachelor’s Degree`[EDUCATION_DEGREE]** -NL- 